> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindfort.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Discovery Context



## OpenAPI

````yaml /openapi.json put /v1/discovery/context
openapi: 3.1.0
info:
  title: MindFort API
  version: 1.0.0
  description: >-
    The MindFort Public API supports targets, Discovery, assessments, finding
    lifecycle and analytics, and reports. Informational non-vulnerable results
    are labeled `secured`.
servers:
  - url: https://api.mindfort.app
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/discovery/context:
    put:
      tags:
        - Discovery
      summary: Update Discovery Context
      operationId: updateDiscoveryContext
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                context_note:
                  type: string
                  maxLength: 4000
              required:
                - context_note
              additionalProperties: false
      responses:
        '200':
          description: Updated Discovery context
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDiscoveryContextResponse'
components:
  schemas:
    PublicDiscoveryContextResponse:
      type: object
      properties:
        context_note:
          type: string
      required:
        - context_note
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key generated from the MindFort dashboard. Pass as `Authorization:
        Bearer <your-api-key>`.

````